
#ifndef __FILE_CONSOLE_H
#define __FILE_CONSOLE_H

#include "Console.h"
#include <fstream>

class CFileConsoleRenderingContext : public con::IConsoleRenderingContext {
public:
	CFileConsoleRenderingContext( const std::string& fileName );
	virtual ~CFileConsoleRenderingContext();

	virtual void write( const std::string& message );

private:
	std::ofstream	mFile;
};

#endif
