#include "../stdafx.h"

#include "RTMesh.h"
//#include "../common/resource/MeshBundle.h"
//#include "../common/resource/EffectBundle.h"
//#include "../common/resource/TextureBundle.h"
//#include "../utils/DXHelpers.h"
//#include "../utils/Errors.h"


CRTMesh::CRTMesh( CResourceId const& meshId, CResourceId const& effectId )
:	CMesh( meshId, effectId, CResourceId("dummy.png") ),
	mRTT( NULL )
{
}

CRTMesh::~CRTMesh()
{
}

void CRTMesh::applyEffectParameters( ID3DXEffect& effect )
{
	effect.SetTexture( "texBase", mRTT );
	effect.SetMatrix( "matWorld", &getWorldMatrix() );
	effect.SetMatrix( "matTex", &getTextureMatrix() );
	effect.SetDword( "dwColor", getColor() );
}
