#ifndef __RT_MESH_H
#define __RT_MESH_H

#include "../engine/Mesh.h"


class CRTMesh : public CMesh {
public:
	CRTMesh( CResourceId const& meshId, CResourceId const& effectId );
	virtual ~CRTMesh();

	void	setRTT( IDirect3DTexture8& rtt ) { mRTT = &rtt; }

protected:
	virtual void applyEffectParameters( ID3DXEffect& effect );

private:
	IDirect3DTexture8*	mRTT;
};

#endif
