#ifndef __FRAME_TIME_H
#define __FRAME_TIME_H


class CFrameTime {
public:
	CFrameTime( float time, float delta, int frameNumber )
		:	mTime( time ),
		mDelta( delta ),
		mFrameNumber( frameNumber ) {}
	
	/// Returns start time of the current frame in seconds as a float
	float getTime() const { return mTime; }
	/// Returns time of the previous frame in seconds as a float
	float getDelta() const { return mDelta;	}

	float getAlpha() const { return mAlpha; }
	void  setAlpha( float alpha ) { mAlpha = alpha; }
	
	int getFrameNumber() const { return mFrameNumber; };
	
private:
	float			mTime;
	float			mDelta;
	int				mFrameNumber;
	float			mAlpha;
};

#endif
